summaryrefslogtreecommitdiff
path: root/db-repo-add
diff options
context:
space:
mode:
authorJoshua Ismael Haase Hernández <hahj87@gmail.com>2011-04-16 00:44:41 -0500
committerJoshua Ismael Haase Hernández <hahj87@gmail.com>2011-04-16 00:44:41 -0500
commit7203e2e2631e29a79f4ea822c371d4e12c9c1a88 (patch)
treef0ada9061babb0f656afa90e438bba0f0f781241 /db-repo-add
parentdeab65fad4ced009fb31f7033b1db8ef0af78aee (diff)
parent229a9c504cbd733c93cf91399dc54bedf5160cc5 (diff)
Merge branch 'master' of ~/packages/dbscripts into pruebalukeshu/2011-dbscripts-repo-maintainer-merge
Conflicts: .gitignore db-functions
Diffstat (limited to 'db-repo-add')
-rwxr-xr-xdb-repo-add39
1 files changed, 39 insertions, 0 deletions
diff --git a/db-repo-add b/db-repo-add
new file mode 100755
index 0000000..53cfc84
--- /dev/null
+++ b/db-repo-add
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+. "$(dirname $0)/db-functions"
+. "$(dirname $0)/config"
+
+if [ $# -ne 3 ]; then
+ msg "usage: $(basename $0) <pkgfile> <repo> <arch>"
+ exit 1
+fi
+
+pkgfile="$1"
+repo="$2"
+arch="$3"
+
+ftppath="$FTP_BASE/$repo/os"
+
+if ! check_repo_permission $repo; then
+ die "You don't have permission to add packages to ${repo}"
+fi
+
+if [ "$arch" == "any" ]; then
+ tarches=(${ARCHES[@]})
+else
+ tarches=("$arch")
+fi
+
+for tarch in ${tarches[@]}; do
+ repo_lock $repo $tarch || exit 1
+done
+
+msg "Adding $pkgfile to [$repo]..."
+
+for tarch in ${tarches[@]}; do
+ if [ ! -f "${pkgfile}" ]; then
+ die "Package file ${pkgfile} not found"
+ fi
+ arch_repo_add "${repo}" "${tarch}" ${pkgfile}
+ repo_unlock $repo $tarch
+done